%define majver %(echo %version | cut -d. -f1-2)

Name:          plasma-activities-stats
Version:       6.3.1
Release:       1mamba
Summary:       KDE Plasma library to access the usage statistics data collected by the KDE activity manager
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://kde.org/it/plasma-desktop/
Source:        https://download.kde.org/%{stable_kf6}/plasma/%{version}/plasma-activities-stats-%{version}.tar.xz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libQt6Core
BuildRequires: libQt6DBus
BuildRequires: libQt6Sql
BuildRequires: libgcc
BuildRequires: libkf6-kconfig-devel
BuildRequires: libplasma-activities-devel
BuildRequires: libstdc++6-devel
BuildRequires: qt6-qtbase-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
BuildRequires: kf6-rpm-macros
BuildRequires: extra-cmake-modules
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description
KDE Plasma library to access the usage statistics data collected by the KDE activity manager.

%package -n lib%{name}
Group:         System/Libraries
Summary:       KDE Plasma library to access the usage statistics data collected by the KDE activity manager.

%description -n lib%{name}
KDE Plasma library to access the usage statistics data collected by the KDE activity manager.
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.


%prep
%setup -q

%build
%cmake_kf6

%cmake_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%cmake_install

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name}
/sbin/ldconfig
exit 0

%postun -n lib%{name}
/sbin/ldconfig
exit 0

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libPlasmaActivitiesStats.so.*
%{_datadir}/qlogging-categories6/plasma-activities-stats.categories
%{_datadir}/qlogging-categories6/plasma-activities-stats.renamecategories
%doc LICENSES

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_includedir}/PlasmaActivitiesStats
%{_includedir}/PlasmaActivitiesStats/*
%{_libdir}/libPlasmaActivitiesStats.so
%dir %{_libdir}/cmake/PlasmaActivitiesStats
%{_libdir}/cmake/PlasmaActivitiesStats/PlasmaActivities*.cmake
%{_libdir}/pkgconfig/PlasmaActivitiesStats.pc
%{_qt6_docdir}/PlasmaActivitiesStats.*

%changelog
* Wed Feb 19 2025 Automatic Build System <autodist@openmamba.org> 6.3.1-1mamba
- automatic version update by autodist

* Wed Feb 12 2025 Automatic Build System <autodist@openmamba.org> 6.3.0-1mamba
- automatic version update by autodist

* Wed Jan 01 2025 Automatic Build System <autodist@openmamba.org> 6.2.5-1mamba
- automatic version update by autodist

* Wed Nov 27 2024 Automatic Build System <autodist@openmamba.org> 6.2.4-1mamba
- automatic version update by autodist

* Wed Nov 06 2024 Automatic Build System <autodist@openmamba.org> 6.2.3-1mamba
- automatic version update by autodist

* Thu Oct 24 2024 Automatic Build System <autodist@openmamba.org> 6.2.2-1mamba
- automatic version update by autodist

* Thu Oct 17 2024 Automatic Build System <autodist@openmamba.org> 6.2.1-1mamba
- automatic version update by autodist

* Thu Oct 10 2024 Automatic Build System <autodist@openmamba.org> 6.2.0-1mamba
- automatic version update by autodist

* Fri Sep 20 2024 Automatic Build System <autodist@openmamba.org> 6.1.90-1mamba
- automatic version update by autodist

* Wed Sep 11 2024 Automatic Build System <autodist@openmamba.org> 6.1.5-1mamba
- automatic version update by autodist

* Wed Aug 07 2024 Automatic Build System <autodist@openmamba.org> 6.1.4-1mamba
- automatic version update by autodist

* Wed Jul 17 2024 Automatic Build System <autodist@openmamba.org> 6.1.3-1mamba
- automatic version update by autodist

* Wed Jul 03 2024 Automatic Build System <autodist@openmamba.org> 6.1.2-1mamba
- automatic version update by autodist

* Wed Jun 26 2024 Automatic Build System <autodist@openmamba.org> 6.1.1-1mamba
- automatic version update by autodist

* Tue Jun 18 2024 Automatic Build System <autodist@openmamba.org> 6.1.0-1mamba
- automatic version update by autodist

* Sun Jun 02 2024 Automatic Build System <autodist@openmamba.org> 6.0.90-1mamba
- automatic version update by autodist

* Wed May 22 2024 Automatic Build System <autodist@openmamba.org> 6.0.5-1mamba
- automatic version update by autodist

* Thu Apr 18 2024 Automatic Build System <autodist@openmamba.org> 6.0.4-1mamba
- automatic version update by autodist

* Sat Mar 30 2024 Automatic Build System <autodist@openmamba.org> 6.0.3-1mamba
- automatic version update by autodist

* Thu Mar 14 2024 Automatic Build System <autodist@openmamba.org> 6.0.2-1mamba
- automatic version update by autodist

* Thu Mar 07 2024 Automatic Build System <autodist@openmamba.org> 6.0.1-1mamba
- automatic version update by autodist

* Fri Mar 01 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 6.0.0-1mamba
- update to 6.0.0

* Mon Feb 05 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 5.93.0-1mamba
- package created using the webbuild interface
